Package org.snpsift.lang.expression

# Class FieldIterator

java.lang.Object
org.snpsift.lang.expression.FieldIterator

public class FieldIterator extends Object
Iterates on fields / sub-fields It's a singleton

Author:
  pcingola

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`FieldIterator.IteratorType`

## Constructor Summary

Constructors
Constructor
Description
`FieldIterator()`

## Method Summary

Modifier and Type
Method
Description
`static FieldIterator`
`get()`
`int`
`get(FieldIterator.IteratorType iterType)`
Set 'max' parameter for an iterator
`int`
`getType()`
`boolean`
`hasNext()`
Is there a 'next'
`void`
`next()`
Next in iteration
`void`
`reset()`
Reset all counters
`void`
`setMax(FieldIterator.IteratorType iterType, int max)`
Set 'max' parameter for an iterator
`void`
`setType(int type)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FieldIterator

public FieldIterator()

## Method Details

### get

public static FieldIterator get()

### get

public int get(FieldIterator.IteratorType iterType)
Set 'max' parameter for an iterator

Parameters:
  `starType` -
  `max` -

### getType

public int getType()

### hasNext

public boolean hasNext()
Is there a 'next'

Returns:

### next

public void next()
Next in iteration

### reset

public void reset()
Reset all counters

### setMax

public void setMax(FieldIterator.IteratorType iterType, int max)
Set 'max' parameter for an iterator

Parameters:
  `max` -
  `starType` -

### setType

public void setType(int type)

### toString

public String toString()

Overrides:
  `toString` in class `Object`